<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.math.operator
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.operator package">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../../ch/javasoft/math/operator/package-summary.html" target="classFrame">ch.javasoft.math.operator</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Interfaces</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AggregatingBinaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>AggregatingBinaryOperator</I></A>
<BR>
<A HREF="AggregatingUnaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>AggregatingUnaryOperator</I></A>
<BR>
<A HREF="BinaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>BinaryOperator</I></A>
<BR>
<A HREF="BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>BooleanBinaryOperator</I></A>
<BR>
<A HREF="BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>BooleanUnaryOperator</I></A>
<BR>
<A HREF="ConvertingBinaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>ConvertingBinaryOperator</I></A>
<BR>
<A HREF="ConvertingUnaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>ConvertingUnaryOperator</I></A>
<BR>
<A HREF="DivisionSupport.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>DivisionSupport</I></A>
<BR>
<A HREF="IntBinaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>IntBinaryOperator</I></A>
<BR>
<A HREF="IntUnaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>IntUnaryOperator</I></A>
<BR>
<A HREF="NAryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>NAryOperator</I></A>
<BR>
<A HREF="NullaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>NullaryOperator</I></A>
<BR>
<A HREF="QuaternaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>QuaternaryOperator</I></A>
<BR>
<A HREF="TernaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>TernaryOperator</I></A>
<BR>
<A HREF="UnaryOperator.html" title="interface in ch.javasoft.math.operator" target="classFrame"><I>UnaryOperator</I></A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Classes</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AbstractBinaryOperator.html" title="class in ch.javasoft.math.operator" target="classFrame">AbstractBinaryOperator</A>
<BR>
<A HREF="AbstractBooleanBinaryOperator.html" title="class in ch.javasoft.math.operator" target="classFrame">AbstractBooleanBinaryOperator</A>
<BR>
<A HREF="AbstractBooleanUnaryOperator.html" title="class in ch.javasoft.math.operator" target="classFrame">AbstractBooleanUnaryOperator</A>
<BR>
<A HREF="AbstractIntBinaryOperator.html" title="class in ch.javasoft.math.operator" target="classFrame">AbstractIntBinaryOperator</A>
<BR>
<A HREF="AbstractIntUnaryOperator.html" title="class in ch.javasoft.math.operator" target="classFrame">AbstractIntUnaryOperator</A>
<BR>
<A HREF="AbstractNullaryOperator.html" title="class in ch.javasoft.math.operator" target="classFrame">AbstractNullaryOperator</A>
<BR>
<A HREF="AbstractQuaternaryOperator.html" title="class in ch.javasoft.math.operator" target="classFrame">AbstractQuaternaryOperator</A>
<BR>
<A HREF="AbstractTernaryOperator.html" title="class in ch.javasoft.math.operator" target="classFrame">AbstractTernaryOperator</A>
<BR>
<A HREF="AbstractUnaryOperator.html" title="class in ch.javasoft.math.operator" target="classFrame">AbstractUnaryOperator</A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Enums</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AggregatingBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator" target="classFrame">AggregatingBinaryOperator.Id</A>
<BR>
<A HREF="AggregatingUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator" target="classFrame">AggregatingUnaryOperator.Id</A>
<BR>
<A HREF="BinaryOperator.Id.html" title="enum in ch.javasoft.math.operator" target="classFrame">BinaryOperator.Id</A>
<BR>
<A HREF="BooleanBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator" target="classFrame">BooleanBinaryOperator.Id</A>
<BR>
<A HREF="BooleanUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator" target="classFrame">BooleanUnaryOperator.Id</A>
<BR>
<A HREF="IntBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator" target="classFrame">IntBinaryOperator.Id</A>
<BR>
<A HREF="IntUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator" target="classFrame">IntUnaryOperator.Id</A>
<BR>
<A HREF="NullaryOperator.Id.html" title="enum in ch.javasoft.math.operator" target="classFrame">NullaryOperator.Id</A>
<BR>
<A HREF="UnaryOperator.Id.html" title="enum in ch.javasoft.math.operator" target="classFrame">UnaryOperator.Id</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
